Subject: Bug#952576: dput-ng: does not show the stderr of post_upload_command (silent failures when uploading)

From: Elena ``of Valhalla'' <[email-masked]>
Date: Wed, 26 Feb 2020 11:49:49 +0100

Package: dput-ng
Version: 1.29
Severity: normal

Dear Maintainer,

I'm using dput with a profile that sets a post_upload_command and I've
noticed that whatever that command writes on stderr gets suppressed;
this leads to uploads that silently fail.

To reproduce, you can e.g. set::

   "post_upload_command": "echo 'this will appear on dput output'",

to see that stdout is correctly written in the dput output and::

   "post_upload_command": "python --version",

to see how stderr is suppressed instead.
(note: python3 can't be used because it prints its version on stdout,
and so do the other commands I tried before python; of course anything
else that prints something on stderr would do.)

Thanks in advance,

-- System Information:
Debian Release: bullseye/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 5.4.0-4-amd64 (SMP w/2 CPU cores)
Kernel taint flags: TAINT_FIRMWARE_WORKAROUND
Locale: LANG=en_IE.UTF-8, LC_CTYPE=en_IE.UTF-8 (charmap=UTF-8), LANGUAGE=en_IE:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages dput-ng depends on:
ii  python3       3.7.5-3
ii  python3-dput  1.29

dput-ng recommends no packages.

Versions of packages dput-ng suggests:
pn  dput-ng-doc      <none>
pn  python3-twitter  <none>

-- no debconf information